#
# spec file for package unison (Version 2.7.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel lablgtk ocaml xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd lablgtk less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg ocaml pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel

Name:         unison
Copyright:    GPL
Group:        Utilities/File
Provides:     unison
Autoreqprov:  on
Version:      2.7.7
Release:      25
Source0:      http://www.cis.upenn.edu/~bcpierce/unison/download/beta-test/latest/src.tar.gz
Source1:      http://www.cis.upenn.edu/~bcpierce/unison/download/beta-test/latest/unison-manual.pdf
URL:          http://www.cis.upenn.edu/~bcpierce/unison
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A file synchronization tool

%description
Unison is a file synchronization tool for Unix and Windows. It allows two
replicas of a collection of files and directories to be stored on different
hosts (or different disks on the same host), modified separately, then
brought up to date by propagating the changes in each replica to the other.

Authors:
--------
    Benjamin Pierce <bcpierce@cis.upenn.edu>

SuSE series: xap

%prep
%setup

%build
make UISTYLE=gtk NATIVE=true

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -m 644 %{SOURCE1} .
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %name $RPM_BUILD_ROOT%{_bindir}
 

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc BUGS.txt CONTRIB COPYING DEPENDENCIES.ps INSTALL
%doc INSTALL.win32 NEWS README ROADMAP.txt TODO.txt unison-manual.pdf
%{_bindir}/%{name}

%changelog -n unison
* Fri Sep 14 2001 - grimmer@suse.de
- Update to 2.7.7, which fixes the following bugs (since
  2.7.1):
  * Fixed a silly bug that would reliably prevent the Unison
  client from starting in 2.7.4.
  * Bug fix (2.7.4): read the initial connection header one byte
  at a time, so that we don't block if the header is shorter
  than expected.
* Wed Aug 29 2001 - grimmer@suse.de
- Update to 2.7.1 (see the NEWS file for changes)
- updated PDF manual to latest version
* Thu Aug 16 2001 - grimmer@suse.de
- Initial package for SuSE Linux (version 2.6.59)
